Create invoice line item

post
https://api.wafeq.com/v1/invoices/{invoice_id}/line-items/

Endpoint for creating a new invoice line item.

Path Params
stringrequired
Body Params

A line item of an invoice.

stringrequired

The account associated with this line item.

string

The cost center associated with this line item.

custom_fieldsobject

A mapping of custom field IDs to their values.

stringrequired

The detailed description of the line item.

double | null

The discount as the percentage.

string

The item associated with this line item.

string | null

The item unit of measure for this line item.

integer

The position of the line item within the document.

doublerequired

The quantity of the item or service.

revenue_recognitionobject

Optional revenue recognition configuration. When provided, a revenue recognition is created for this line item.

string

The tax rate applied to this line item.

doublerequired

The price per unit of the item or service.

Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response